#include <string.h>
#include <stdlib.h>

size_t strlcpy(char *dst, const char *src, size_t dstsize)
{
  strncpy(dst,src,dstsize-1);
  dst[dstsize-1]='\0';    /* in case max.number of chars copied */
  return strlen(src);
}

size_t strlcat(char *dst, const char *src, size_t dstsize)
{
  size_t l;
  l=strlen(dst);
  if (l<dstsize) {
    strncat(dst,src,dstsize-l-1);
  }
  dst[dstsize-1]='\0';    /* in case max.number of chars copied */
  return(l+strlen(src));
}
